<?xml version="1.0" encoding="UTF-8"?>
<spirit:component xmlns:xilinx="http://www.xilinx.com" xmlns:spirit="http://www.spiritconsortium.org/XMLSchema/SPIRIT/1685-2009" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <spirit:vendor>xilinx.com</spirit:vendor>
  <spirit:library>customized_ip</spirit:library>
  <spirit:name>design_1_signal_multiplexer_3_2</spirit:name>
  <spirit:version>1.0</spirit:version>
  <spirit:busInterfaces>
    <spirit:busInterface>
      <spirit:name>clk</spirit:name>
      <spirit:busType spirit:vendor="xilinx.com" spirit:library="signal" spirit:name="clock" spirit:version="1.0"/>
      <spirit:abstractionType spirit:vendor="xilinx.com" spirit:library="signal" spirit:name="clock_rtl" spirit:version="1.0"/>
      <spirit:slave/>
      <spirit:portMaps>
        <spirit:portMap>
          <spirit:logicalPort>
            <spirit:name>CLK</spirit:name>
          </spirit:logicalPort>
          <spirit:physicalPort>
            <spirit:name>clk</spirit:name>
          </spirit:physicalPort>
        </spirit:portMap>
      </spirit:portMaps>
      <spirit:parameters>
        <spirit:parameter>
          <spirit:name>ASSOCIATED_BUSIF</spirit:name>
          <spirit:value spirit:id="BUSIFPARAM_VALUE.CLK.ASSOCIATED_BUSIF"/>
        </spirit:parameter>
        <spirit:parameter>
          <spirit:name>FREQ_HZ</spirit:name>
          <spirit:value spirit:format="long" spirit:resolve="generated" spirit:id="BUSIFPARAM_VALUE.CLK.FREQ_HZ">100000000</spirit:value>
          <spirit:vendorExtensions>
            <xilinx:parameterInfo>
              <xilinx:parameterUsage>none</xilinx:parameterUsage>
            </xilinx:parameterInfo>
          </spirit:vendorExtensions>
        </spirit:parameter>
        <spirit:parameter>
          <spirit:name>PHASE</spirit:name>
          <spirit:value spirit:format="float" spirit:resolve="generated" spirit:id="BUSIFPARAM_VALUE.CLK.PHASE">0.000</spirit:value>
          <spirit:vendorExtensions>
            <xilinx:parameterInfo>
              <xilinx:parameterUsage>none</xilinx:parameterUsage>
            </xilinx:parameterInfo>
          </spirit:vendorExtensions>
        </spirit:parameter>
        <spirit:parameter>
          <spirit:name>CLK_DOMAIN</spirit:name>
          <spirit:value spirit:resolve="generated" spirit:id="BUSIFPARAM_VALUE.CLK.CLK_DOMAIN">design_1_processing_system7_0_0_FCLK_CLK0</spirit:value>
          <spirit:vendorExtensions>
            <xilinx:parameterInfo>
              <xilinx:parameterUsage>none</xilinx:parameterUsage>
            </xilinx:parameterInfo>
          </spirit:vendorExtensions>
        </spirit:parameter>
        <spirit:parameter>
          <spirit:name>ASSOCIATED_RESET</spirit:name>
          <spirit:value spirit:resolve="generated" spirit:id="BUSIFPARAM_VALUE.CLK.ASSOCIATED_RESET"/>
          <spirit:vendorExtensions>
            <xilinx:parameterInfo>
              <xilinx:parameterUsage>none</xilinx:parameterUsage>
            </xilinx:parameterInfo>
          </spirit:vendorExtensions>
        </spirit:parameter>
        <spirit:parameter>
          <spirit:name>INSERT_VIP</spirit:name>
          <spirit:value spirit:format="long" spirit:resolve="user" spirit:id="BUSIFPARAM_VALUE.CLK.INSERT_VIP">0</spirit:value>
          <spirit:vendorExtensions>
            <xilinx:parameterInfo>
              <xilinx:parameterUsage>simulation.rtl</xilinx:parameterUsage>
            </xilinx:parameterInfo>
          </spirit:vendorExtensions>
        </spirit:parameter>
      </spirit:parameters>
    </spirit:busInterface>
  </spirit:busInterfaces>
  <spirit:model>
    <spirit:views>
      <spirit:view>
        <spirit:name>xilinx_vhdlsynthesis</spirit:name>
        <spirit:displayName>VHDL Synthesis</spirit:displayName>
        <spirit:envIdentifier>vhdlSource:vivado.xilinx.com:synthesis</spirit:envIdentifier>
        <spirit:language>vhdl</spirit:language>
        <spirit:modelName>signal_multiplexer_v1_0</spirit:modelName>
        <spirit:fileSetRef>
          <spirit:localName>xilinx_vhdlsynthesis_view_fileset</spirit:localName>
        </spirit:fileSetRef>
        <spirit:parameters>
          <spirit:parameter>
            <spirit:name>GENtimestamp</spirit:name>
            <spirit:value>Wed Apr 21 22:16:39 UTC 2021</spirit:value>
          </spirit:parameter>
          <spirit:parameter>
            <spirit:name>outputProductCRC</spirit:name>
            <spirit:value>9:6ec3f022</spirit:value>
          </spirit:parameter>
        </spirit:parameters>
      </spirit:view>
      <spirit:view>
        <spirit:name>xilinx_synthesisconstraints</spirit:name>
        <spirit:displayName>Synthesis Constraints</spirit:displayName>
        <spirit:envIdentifier>:vivado.xilinx.com:synthesis.constraints</spirit:envIdentifier>
        <spirit:parameters>
          <spirit:parameter>
            <spirit:name>outputProductCRC</spirit:name>
            <spirit:value>9:6ec3f022</spirit:value>
          </spirit:parameter>
        </spirit:parameters>
      </spirit:view>
      <spirit:view>
        <spirit:name>xilinx_vhdlsynthesiswrapper</spirit:name>
        <spirit:displayName>VHDL Synthesis Wrapper</spirit:displayName>
        <spirit:envIdentifier>vhdlSource:vivado.xilinx.com:synthesis.wrapper</spirit:envIdentifier>
        <spirit:language>vhdl</spirit:language>
        <spirit:modelName>design_1_signal_multiplexer_3_2</spirit:modelName>
        <spirit:fileSetRef>
          <spirit:localName>xilinx_vhdlsynthesiswrapper_view_fileset</spirit:localName>
        </spirit:fileSetRef>
        <spirit:parameters>
          <spirit:parameter>
            <spirit:name>GENtimestamp</spirit:name>
            <spirit:value>Wed Apr 21 22:16:40 UTC 2021</spirit:value>
          </spirit:parameter>
          <spirit:parameter>
            <spirit:name>outputProductCRC</spirit:name>
            <spirit:value>9:6ec3f022</spirit:value>
          </spirit:parameter>
        </spirit:parameters>
      </spirit:view>
      <spirit:view>
        <spirit:name>xilinx_vhdlbehavioralsimulation</spirit:name>
        <spirit:displayName>VHDL Simulation</spirit:displayName>
        <spirit:envIdentifier>vhdlSource:vivado.xilinx.com:simulation</spirit:envIdentifier>
        <spirit:language>vhdl</spirit:language>
        <spirit:modelName>signal_multiplexer_v1_0</spirit:modelName>
        <spirit:fileSetRef>
          <spirit:localName>xilinx_vhdlbehavioralsimulation_view_fileset</spirit:localName>
        </spirit:fileSetRef>
        <spirit:parameters>
          <spirit:parameter>
            <spirit:name>GENtimestamp</spirit:name>
            <spirit:value>Wed Apr 21 22:16:39 UTC 2021</spirit:value>
          </spirit:parameter>
          <spirit:parameter>
            <spirit:name>outputProductCRC</spirit:name>
            <spirit:value>9:a7db446f</spirit:value>
          </spirit:parameter>
        </spirit:parameters>
      </spirit:view>
      <spirit:view>
        <spirit:name>xilinx_vhdlsimulationwrapper</spirit:name>
        <spirit:displayName>VHDL Simulation Wrapper</spirit:displayName>
        <spirit:envIdentifier>vhdlSource:vivado.xilinx.com:simulation.wrapper</spirit:envIdentifier>
        <spirit:language>vhdl</spirit:language>
        <spirit:modelName>design_1_signal_multiplexer_3_2</spirit:modelName>
        <spirit:fileSetRef>
          <spirit:localName>xilinx_vhdlsimulationwrapper_view_fileset</spirit:localName>
        </spirit:fileSetRef>
        <spirit:parameters>
          <spirit:parameter>
            <spirit:name>GENtimestamp</spirit:name>
            <spirit:value>Wed Apr 21 22:16:40 UTC 2021</spirit:value>
          </spirit:parameter>
          <spirit:parameter>
            <spirit:name>outputProductCRC</spirit:name>
            <spirit:value>9:a7db446f</spirit:value>
          </spirit:parameter>
        </spirit:parameters>
      </spirit:view>
    </spirit:views>
    <spirit:ports>
      <spirit:port>
        <spirit:name>clk</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
        </spirit:wire>
      </spirit:port>
      <spirit:port>
        <spirit:name>en0</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
        </spirit:wire>
      </spirit:port>
      <spirit:port>
        <spirit:name>valid0</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
        </spirit:wire>
      </spirit:port>
      <spirit:port>
        <spirit:name>data0</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
        </spirit:wire>
      </spirit:port>
      <spirit:port>
        <spirit:name>data0b</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.data0b" xilinx:dependency="$ENABLE_SECOND_DATA_CHANNEL = true">true</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>en1</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.en1" xilinx:dependency="$NUMBER_OF_CHANNELS>= 2">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>valid1</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.valid1" xilinx:dependency="$NUMBER_OF_CHANNELS>= 2">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>data1</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.data1" xilinx:dependency="$NUMBER_OF_CHANNELS>= 2">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>data1b</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.data1b" xilinx:dependency="$NUMBER_OF_CHANNELS>=2 and $ENABLE_SECOND_DATA_CHANNEL = true">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>en2</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.en2" xilinx:dependency="$NUMBER_OF_CHANNELS>=3">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>valid2</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.valid2" xilinx:dependency="$NUMBER_OF_CHANNELS>=3">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>data2</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.data2" xilinx:dependency="$NUMBER_OF_CHANNELS>=3">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>data2b</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.data2b" xilinx:dependency="$NUMBER_OF_CHANNELS>=3 and $ENABLE_SECOND_DATA_CHANNEL = true">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>en3</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.en3" xilinx:dependency="$NUMBER_OF_CHANNELS>=4">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>valid3</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.valid3" xilinx:dependency="$NUMBER_OF_CHANNELS>=4">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>data3</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.data3" xilinx:dependency="$NUMBER_OF_CHANNELS>=4">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>data3b</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.data3b" xilinx:dependency="$NUMBER_OF_CHANNELS>=4 and $ENABLE_SECOND_DATA_CHANNEL = true">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>en4</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.en4" xilinx:dependency="$NUMBER_OF_CHANNELS>=5">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>valid4</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.valid4" xilinx:dependency="$NUMBER_OF_CHANNELS>=5">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>data4</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.data4" xilinx:dependency="$NUMBER_OF_CHANNELS>=5">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>data4b</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.data4b" xilinx:dependency="$NUMBER_OF_CHANNELS>=5 and $ENABLE_SECOND_DATA_CHANNEL = true">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>en5</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.en5" xilinx:dependency="$NUMBER_OF_CHANNELS>=6">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>valid5</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.valid5" xilinx:dependency="$NUMBER_OF_CHANNELS>=6">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>data5</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.data5" xilinx:dependency="$NUMBER_OF_CHANNELS>=6">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>data5b</spirit:name>
        <spirit:wire>
          <spirit:direction>in</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.data5b" xilinx:dependency="$NUMBER_OF_CHANNELS>=6 and $ENABLE_SECOND_DATA_CHANNEL = true">false</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
      <spirit:port>
        <spirit:name>valid</spirit:name>
        <spirit:wire>
          <spirit:direction>out</spirit:direction>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
        </spirit:wire>
      </spirit:port>
      <spirit:port>
        <spirit:name>data</spirit:name>
        <spirit:wire>
          <spirit:direction>out</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
        </spirit:wire>
      </spirit:port>
      <spirit:port>
        <spirit:name>datab</spirit:name>
        <spirit:wire>
          <spirit:direction>out</spirit:direction>
          <spirit:vector>
            <spirit:left spirit:format="long" spirit:resolve="dependent" spirit:dependency="(spirit:decode(id(&apos;MODELPARAM_VALUE.DATA_WIDTH&apos;)) - 1)">15</spirit:left>
            <spirit:right spirit:format="long">0</spirit:right>
          </spirit:vector>
          <spirit:wireTypeDefs>
            <spirit:wireTypeDef>
              <spirit:typeName>std_logic_vector</spirit:typeName>
              <spirit:viewNameRef>xilinx_vhdlsynthesis</spirit:viewNameRef>
              <spirit:viewNameRef>xilinx_vhdlbehavioralsimulation</spirit:viewNameRef>
            </spirit:wireTypeDef>
          </spirit:wireTypeDefs>
          <spirit:driver>
            <spirit:defaultValue spirit:format="long">0</spirit:defaultValue>
          </spirit:driver>
        </spirit:wire>
        <spirit:vendorExtensions>
          <xilinx:portInfo>
            <xilinx:enablement>
              <xilinx:isEnabled xilinx:resolve="dependent" xilinx:id="PORT_ENABLEMENT.datab" xilinx:dependency="$ENABLE_SECOND_DATA_CHANNEL = true">true</xilinx:isEnabled>
            </xilinx:enablement>
          </xilinx:portInfo>
        </spirit:vendorExtensions>
      </spirit:port>
    </spirit:ports>
    <spirit:modelParameters>
      <spirit:modelParameter xsi:type="spirit:nameValueTypeType" spirit:dataType="integer">
        <spirit:name>DATA_WIDTH</spirit:name>
        <spirit:displayName>Data Width</spirit:displayName>
        <spirit:value spirit:format="long" spirit:resolve="generated" spirit:id="MODELPARAM_VALUE.DATA_WIDTH">16</spirit:value>
      </spirit:modelParameter>
    </spirit:modelParameters>
  </spirit:model>
  <spirit:fileSets>
    <spirit:fileSet>
      <spirit:name>xilinx_vhdlsynthesis_view_fileset</spirit:name>
      <spirit:file>
        <spirit:name>../../ipshared/9555/hdl/signal_multiplexer_v1_0.vhd</spirit:name>
        <spirit:fileType>vhdlSource</spirit:fileType>
      </spirit:file>
    </spirit:fileSet>
    <spirit:fileSet>
      <spirit:name>xilinx_vhdlsynthesiswrapper_view_fileset</spirit:name>
      <spirit:file>
        <spirit:name>synth/design_1_signal_multiplexer_3_2.vhd</spirit:name>
        <spirit:fileType>vhdlSource</spirit:fileType>
        <spirit:logicalName>xil_defaultlib</spirit:logicalName>
      </spirit:file>
    </spirit:fileSet>
    <spirit:fileSet>
      <spirit:name>xilinx_vhdlbehavioralsimulation_view_fileset</spirit:name>
      <spirit:file>
        <spirit:name>../../ipshared/9555/hdl/signal_multiplexer_v1_0.vhd</spirit:name>
        <spirit:fileType>vhdlSource</spirit:fileType>
      </spirit:file>
    </spirit:fileSet>
    <spirit:fileSet>
      <spirit:name>xilinx_vhdlsimulationwrapper_view_fileset</spirit:name>
      <spirit:file>
        <spirit:name>sim/design_1_signal_multiplexer_3_2.vhd</spirit:name>
        <spirit:fileType>vhdlSource</spirit:fileType>
        <spirit:logicalName>xil_defaultlib</spirit:logicalName>
      </spirit:file>
    </spirit:fileSet>
  </spirit:fileSets>
  <spirit:description>Signal multiplexer</spirit:description>
  <spirit:parameters>
    <spirit:parameter>
      <spirit:name>Component_Name</spirit:name>
      <spirit:value spirit:resolve="user" spirit:id="PARAM_VALUE.Component_Name" spirit:order="1">design_1_signal_multiplexer_3_2</spirit:value>
    </spirit:parameter>
    <spirit:parameter>
      <spirit:name>DATA_WIDTH</spirit:name>
      <spirit:displayName>Data Width</spirit:displayName>
      <spirit:value spirit:format="long" spirit:resolve="user" spirit:id="PARAM_VALUE.DATA_WIDTH">16</spirit:value>
    </spirit:parameter>
    <spirit:parameter>
      <spirit:name>NUMBER_OF_CHANNELS</spirit:name>
      <spirit:displayName>Number of channels</spirit:displayName>
      <spirit:value spirit:format="long" spirit:resolve="user" spirit:id="PARAM_VALUE.NUMBER_OF_CHANNELS" spirit:minimum="1" spirit:maximum="6" spirit:rangeType="long">1</spirit:value>
    </spirit:parameter>
    <spirit:parameter>
      <spirit:name>ENABLE_SECOND_DATA_CHANNEL</spirit:name>
      <spirit:displayName>Enable second data channel</spirit:displayName>
      <spirit:value spirit:format="bool" spirit:resolve="user" spirit:id="PARAM_VALUE.ENABLE_SECOND_DATA_CHANNEL">true</spirit:value>
    </spirit:parameter>
  </spirit:parameters>
  <spirit:vendorExtensions>
    <xilinx:coreExtensions>
      <xilinx:displayName>signal_multiplexer_v1.0</xilinx:displayName>
      <xilinx:coreRevision>4</xilinx:coreRevision>
      <xilinx:tags>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@1cf3d6d5_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@19063c39_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@397450b8_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@6155e4c_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@46bb6c2b_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@4d25c85b_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@3f8e7372_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@6d7c041e_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@1a6522a8_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@5855983d_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@952e4b2_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@3973276d_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@4b6e2695_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@16b0177_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@1593849e_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@bf1c57f_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@42c87dd_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@25ce0996_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@5fa42d0_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@f13713f_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@2a5f39d2_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@2b38f569_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@47e71c08_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@4c4eab5b_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@633dd0f8_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@602d7cbd_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@1f944b76_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@2ad09a82_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@10c4057b_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@3653d57b_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@df0d2f0_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@40f9d1a3_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@59c22912_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@3ecb8d4b_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@67077f79_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@4c870ea9_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@4188ebbc_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@6f6535c5_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@a1aff66_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@3a95fbf_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@4ee01857_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@54e08e1d_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@3688e43_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@1bbfe7b3_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@330f3383_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@14c36430_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@2d8e54cf_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@6550e202_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@6bd1998a_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@33c147a_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@1842528d_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@26cab8c1_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@da67b8b_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@60edf601_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@32b9094d_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@525b32a4_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@33b8df79_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@3e1ba191_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@5e94a76b_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@16f1bbe7_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@2dcb0931_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@2d376d03_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@5d390b2d_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@340524b7_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@6c53317d_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@13f3923b_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@673b60c6_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@c95a763_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@1b44f8a8_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@337009f8_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@715c05e9_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@65e4480b_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@17083da6_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@7f4a9a9c_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@448ff8bf_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@22bc5062_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@2e395330_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@ed048d5_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@148f51e4_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@2608ecc4_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@4c72e866_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@5b1e3aa0_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@6bfabe20_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@53e1bd5a_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@6992f715_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@5344d559_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@38f0cb75_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@3b1d224b_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@3e9f9ec1_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@43ac15a0_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@7e854448_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
        <xilinx:tag xilinx:name="ui.data.coregen.dd@1bfd2432_ARCHIVE_LOCATION">c:/Projects/ip_repo/signal_multiplexer_1.0</xilinx:tag>
      </xilinx:tags>
      <xilinx:configElementInfos>
        <xilinx:configElementInfo xilinx:referenceId="BUSIFPARAM_VALUE.CLK.CLK_DOMAIN" xilinx:valueSource="default_prop" xilinx:valuePermission="bd"/>
        <xilinx:configElementInfo xilinx:referenceId="BUSIFPARAM_VALUE.CLK.FREQ_HZ" xilinx:valueSource="user_prop" xilinx:valuePermission="bd"/>
        <xilinx:configElementInfo xilinx:referenceId="PARAM_VALUE.DATA_WIDTH" xilinx:valueSource="user"/>
        <xilinx:configElementInfo xilinx:referenceId="PARAM_VALUE.ENABLE_SECOND_DATA_CHANNEL" xilinx:valueSource="user"/>
        <xilinx:configElementInfo xilinx:referenceId="PARAM_VALUE.NUMBER_OF_CHANNELS" xilinx:valueSource="user"/>
      </xilinx:configElementInfos>
    </xilinx:coreExtensions>
    <xilinx:packagingInfo>
      <xilinx:xilinxVersion>2019.1</xilinx:xilinxVersion>
      <xilinx:checksum xilinx:scope="busInterfaces" xilinx:value="b1f9f933"/>
      <xilinx:checksum xilinx:scope="fileGroups" xilinx:value="0adb5791"/>
      <xilinx:checksum xilinx:scope="ports" xilinx:value="beaddb80"/>
      <xilinx:checksum xilinx:scope="hdlParameters" xilinx:value="4ea52dba"/>
      <xilinx:checksum xilinx:scope="parameters" xilinx:value="c12dba23"/>
    </xilinx:packagingInfo>
  </spirit:vendorExtensions>
</spirit:component>
